Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkLine Class Reference

`#include <vtkLine.h>`

Inheritance diagram for vtkLine:

[legend]
Collaboration diagram for vtkLine:

[legend]
List of all members.

## Detailed Description

cell represents a 1D line

Date:
  2002/11/12 18:55:41

Revision:
  1.62

vtkLine is a concrete implementation of vtkCell to represent a 1D line.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (63%)
  - Miller, Jim (11%)
  - Martin, Ken (7%)
  - Geveci, Berk (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkLine.cxx)`
  - .`h` (`/Common/vtkLine.h)`

Examples:
  vtkLine (Examples)

Tests:
  vtkLine (Tests)

Definition at line 49 of file vtkLine.h.

## Public Types
typedef vtkCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | GetCellType ()
int | GetCellDimension ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int)
vtkCell * | GetFace (int)
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
void | Clip (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *lines, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
## Static Public Methods
vtkLine * | New ()
int | IsTypeOf (const char *type)
vtkLine * | SafeDownCast (vtkObject *o)
float | DistanceToLine (float x[3], float p1[3], float p2[3])
void | InterpolationFunctions (float pcoords[3], float weights[2])
int | Intersection (float p1[3], float p2[3], float x1[3], float x2[3], float &u, float &v)
float | DistanceToLine (float x[3], float p1[3], float p2[3], float &t, float closestPoint[3])
## Protected Methods
| vtkLine ()
| ~vtkLine ()

## Member Typedef Documentation

typedef vtkCell vtkLine::Superclass

| Reimplemented from vtkCell. Definition at line 53 of file vtkLine.h.

## Constructor & Destructor Documentation

vtkLine::vtkLine | ( |  | ) | `[protected]`

vtkLine::~vtkLine | ( |  | ) | `[inline, protected]`

| Definition at line 126 of file vtkLine.h.

## Member Function Documentation

vtkLine* vtkLine::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkLine::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell.

int vtkLine::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

virtual int vtkLine::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

vtkLine* vtkLine::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell.

int vtkLine::GetCellType | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 57 of file vtkLine.h. References VTK_LINE.

int vtkLine::GetCellDimension | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 58 of file vtkLine.h.

int vtkLine::GetNumberOfEdges | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 59 of file vtkLine.h.

int vtkLine::GetNumberOfFaces | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 60 of file vtkLine.h.

vtkCell* vtkLine::GetEdge | ( | int |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 61 of file vtkLine.h.

vtkCell* vtkLine::GetFace | ( | int |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 62 of file vtkLine.h.

int vtkLine::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkLine::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkLine::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkLine::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkLine::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkLine::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkLine::Clip | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | lines,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd,
|  | int | insideOut
| ) | `[virtual]`

| Clip this line using scalar value provided. Like contouring, except that it cuts the line to produce other lines. Implements vtkCell.

int vtkLine::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| Line-line intersection. Intersection has to occur within [0,1] parametric coordinates and with specified tolerance. Implements vtkCell.

int vtkLine::Intersection | ( | float | p1[3],
|  | float | p2[3],
|  | float | x1[3],
|  | float | x2[3],
|  | float & | u,
|  | float & | v
| ) | `[static]`

| Performs intersection of two finite 3D lines. An intersection is found if the projection of the two lines onto the plane perpendicular to the cross product of the two lines intersect. The parameters (u,v) are the parametric coordinates of the lines at the position of closest approach.

float vtkLine::DistanceToLine | ( | float | x[3],
|  | float | p1[3],
|  | float | p2[3],
|  | float & | t,
|  | float | closestPoint[3]
| ) | `[static]`

| Compute distance to finite line. Returns parametric coordinate t and point location on line.

float vtkLine::DistanceToLine | ( | float | x[3],
|  | float | p1[3],
|  | float | p2[3]
| ) | `[static]`

| Determine the distance of the current vertex to the edge defined by the vertices provided. Returns distance squared. Note: line is assumed infinite in extent.

void vtkLine::InterpolationFunctions | ( | float | pcoords[3],
|  | float | weights[2]
| ) | `[static]`

| Line specific methods.

The documentation for this class was generated from the following file:

- Common/vtkLine.h